# Metrics class

## Constructors

Metrics()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Static Methods

deregister(Metric metric) → void
  Deregister Metrics to make them not visible to Observatory.
register(Metric metric) → void
  Register Metrics to make them visible to Observatory.